import os
from array import array
from concurrent.futures import ProcessPoolExecutor


def sum_pow(n, exponent=88, modulo=100):
    # memory allocation
    array("l", range(10**8))

    # some computation
    return sum(pow(i, exponent, modulo) for i in range(n))


if __name__ == "__main__":
    list_numbers = [i for i in range(20)]

    num_workers = (
        int(os.environ.get("SLURM_CPUS_PER_TASK"))
        if os.environ.get("SLURM_CPUS_PER_TASK")
        else os.cpu_count()
    )

    with ProcessPoolExecutor(max_workers=num_workers) as executor:
        partial_results = executor.map(sum_pow, list_numbers)
