#!/bin/bash
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=16
#SBATCH --mem=64000
#SBATCH --time=23:00:00
#SBATCH --array=0-44
module load amd
module load mamba
source activate torch

alphas=(1 2 4 8 16)
gammas=(3 5 10)
zetas=(500 1000 10000)

alphaArr=()
gammaArr=()
zetaArr=()
for alpha in "${alphas[@]}"; do
   for gamma in "${gammas[@]}"; do
	for zeta in "${zetas[@]}"; do
		alphaArr+=($alpha)
		gammaArr+=($gamma)
		zetaArr+=($zeta)
	done
   done
done

alpha=${alphaArr[$SLURM_ARRAY_TASK_ID]}
gamma=${gammaArr[$SLURM_ARRAY_TASK_ID]}
zeta=${zetaArr[$SLURM_ARRAY_TASK_ID]}

metadata="${SLURM_ARRAY_JOB_ID}_amd_${SLURM_ARRAY_TASK_ID}"

python Lightning_Tutorial_Jupyter.py $alpha $gamma $zeta $metadata
