#!/bin/bash
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=32
#SBATCH --mem=32000
#SBATCH --time=23:00:00
#SBATCH --array=0-35
module load mamba
source activate torch

alphas=(4 8 16 32)
gammas=(3 5 10)
zetas=(500 1000 10000)

alphaArr=()
gammaArr=()
zetaArr=()
for alpha in "${alphas[@]}"; do
   for gamma in "${gammas[@]}"; do
	for zeta in "${zetas[@]}"; do
		alphaArr+=($alpha)
		gammaArr+=($gamma)
		zetaArr+=($zeta)
	done
   done
done

alpha=${alphaArr[$SLURM_ARRAY_TASK_ID]}
gamma=${gammaArr[$SLURM_ARRAY_TASK_ID]}
zeta=${zetaArr[$SLURM_ARRAY_TASK_ID]}

python Lightning_Tutorial_Jupyter.py $alpha $gamma $zeta generic_array
